Latest 3.5.4
Homepage https://github.com/liubiqu/EspTouch
License MIT
Platforms ios 7.0
Authors

CI Status
Version
License
Platform

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Requirements

Installation

EspTouch is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod "EspTouch"

更新日志

==================================v0.3.5.4==================================

Support AES128 encryption

Usage:

NSString *secretKey = @"1234567890123456"; // TODO use your own key

ESPAES *aes = [[ESPAES alloc] initWithKey:secretKey];

ESPTouchTask *task = [[ESPTouchTask alloc]initWithApSsid:apSsid andApBssid:apBssid andApPwd:apPwd andAES:aes];

Author

liubiqu, [email protected]

License

EspTouch is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "EspTouch",
    "version": "3.5.4",
    "summary": "EspTouch Espressif wifi moduleuff0cmore see:https://github.com/EspressifApp/EsptouchForIOS.",
    "description": "==================================v0.3.5.4  2018-04-09====================== n1. Support AES128 encryptionn2. Usage:nnNSString *secretKey = @"1234567890123456"; // TODO use your own keynnESPAES *aes = [[ESPAES alloc] initWithKey:secretKey];nnESPTouchTask *task = [[ESPTouchTask alloc]initWithApSsid:apSsid andApBssid:apBssid andApPwd:apPwd andAES:aes];n==================================v0.3.5.3==================================n1. isSsidHidden is YES forevern2. Usage:n    The same as v0.3.5.2.(Support IPv6 only environment).nn==================================v0.3.5.2==================================n1.  Espressif's RTOS SDK Smart Config is updated to v2.5.5n    Only RTOS-v2.5.5 and above support IPv6 only environment n    Esptouch v0.3.5.1 only support Espressif's Smart Config v2.4 and aboven    IPv4 is preferred and the old version is compatiblenn2.  Usage:n    The same as v0.3.5.1.(Support IPv6 only environment).nn3.  Fix a bug about check IPv4 address privaten4.  Try to open network permission when launch app after ios10.0n    (Fix the bug some ios10.0 later can't use Esptouch)nn==================================v0.3.5.1==================================nn1.  Espressif's RTOS SDK Smart Config is updated to v2.5.5n    Only RTOS-v2.5.5 and above support IPv6 only environment n    Esptouch v0.3.5.1 only support Espressif's Smart Config v2.4 and aboven    IPv4 is preferred and the old version is compatiblenn2.  Usage:n    The same as v0.3.5.0.(Support IPv6 only environment).nn==================================v0.3.5.0==================================nn1.  Espressif's Smart Config is updated to v2.4.nn    Esptouch v0.3.5.0 only support Espressif's Smart Config v2.4nn2.  Usage:nn    The same as v0.3.4.3.(Support IPv6 only environment).nn3.  Significant Change:nn    Esptouch v0.3.5.0 support IPv6 only environment.n    IPv4 is preferred and the old version is compatible.nn==================================v0.3.4.3==================================nn1.  Espressif's Smart Config is updated to v2.4.nn    Esptouch v0.3.4.3 only support Espressif's Smart Config v2.4nn2.  Usage:nn    The same as v0.3.4.2.(fix some bugs in v0.3.4.2).nn==================================v0.3.4.2==================================nn1.  Espressif's Smart Config is updated to v2.4, and some paremeters are changed.nn    Esptouch v0.3.4 only support Espressif's Smart Config v2.4nn2.  ESPTouchDelegate is added. It support callback when new device is connected to wifi.nn3.  Usage:nn    The same as v0.3.3.",
    "homepage": "https://github.com/liubiqu/EspTouch",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "liubiqu": "[email protected]"
    },
    "source": {
        "git": "https://github.com/liubiqu/EspTouch.git",
        "tag": "3.5.4"
    },
    "platforms": {
        "ios": "7.0"
    },
    "source_files": "EspTouch/**/*"
}

Pin It on Pinterest

Share This